let layer = null;
//JavaScript代码区域
layui.use(['layer'], function(){
    layer = layui.layer;
});
$(function () {


    let lang = chrome.i18n.getMessage("extLanguage");

    let code = getQueryString("invite");

    let count = 60;
    let intervalId = 0;

    init();

    function init() {

        let extName = chrome.i18n.getMessage("extName");
        let extDescription = chrome.i18n.getMessage("extDescription");
        let extHomeCreateUser = chrome.i18n.getMessage("extHomeCreateUser");
        let extHomeEmail = chrome.i18n.getMessage("extHomeEmail");
        let extTxtInputEmail = chrome.i18n.getMessage("extTxtInputEmail");
        let extHomeCaptcha = chrome.i18n.getMessage("extHomeCaptcha");
        let extHomeInputCaptcha = chrome.i18n.getMessage("extHomeInputCaptcha");
        let extHomeSendCode = chrome.i18n.getMessage("extHomeSendCode");
        let extTxtUserPass = chrome.i18n.getMessage("extTxtUserPass");
        let extTxtInputPass = chrome.i18n.getMessage("extTxtInputPass");
        let extTxtUserRepass = chrome.i18n.getMessage("extTxtUserRepass");
        let extTxtUserReg = chrome.i18n.getMessage("extTxtUserReg");


        $("#div_title").html(extName);
        $("#div_desc").html(extDescription);

        $('title').html(extHomeCreateUser);
        $("#h2_create_account").text(extHomeCreateUser);
        $("#label_email").text(extHomeEmail);
        $("#email").attr("placeholder",extTxtInputEmail);
        $("#lable_captcha").text(extHomeCaptcha);
        $("#code").attr("placeholder",extHomeInputCaptcha);
        $("#btn_send_code").text(extHomeSendCode);
        $("#label_pass").text(extTxtUserPass);
        $("#pass").attr("placeholder",extTxtInputPass);
        $("#repass").attr("placeholder",extTxtInputPass);
        $("#label_repeat_pass").text(extTxtUserRepass);
        $("#btn_reg").text(extTxtUserReg);

        if (code==undefined || code.length==0)
        {
            $("#invite").val("");
        }
        else
        {
            $("#invite").val(code);
        }

        $("#btn_send_code").click(function () {
            let email = $("#email").val();
            if (email.length==0)
            {
                layer.msg(chrome.i18n.getMessage("extEmailAddCanNotEmpty"));
                $("#email").focus();
                return;
            }

            if (!checkEmail(email))
            {
                layer.msg(chrome.i18n.getMessage("extEmailFormatError"));
                $("#email").focus();
                return;
            }

            $("#btn_send_code").attr('disabled',true);

            $.ajax({
                //请求方式
                type : "POST",
                //请求地址
                url : server + "/getEmailCode",
                //数据，json字符串
                data : {
                    'lang': lang,
                    'email': email,
                    'type': 1
                },
                //请求成功
                success : function(result) {


                    if (result.status == 1)
                    {
                        layer.msg(result.message);

                        intervalId = setInterval(function () {

                            if (count==0)
                            {
                                $("#btn_send_code").html(chrome.i18n.getMessage("extHomeSendCode"));
                                count = 60;
                                clearInterval(intervalId);
                                $("#btn_send_code").attr('disabled',false);
                            }
                            else
                            {
                                $("#btn_send_code").html(count + chrome.i18n.getMessage("extHomeTryAgain"));
                                count--;
                            }

                        },1000)
                    }
                    else
                    {
                        $("#btn_send_code").attr('disabled',false);
                        layer.msg(result.message);
                    }
                },
                //请求失败，包含具体的错误信息
                error : function(e){
                    console.log(e.status);
                    console.log(e.responseText);
                    layer.msg(chrome.i18n.getMessage("extTxtRequestErroe"));
                    $("#btn_send_code").attr('disabled',false);
                }
            });
        });

        $("#btn_reg").click(function () {
            let email = $("#email").val();
            let code = $("#code").val();
            let pass = $("#pass").val();
            let repass = $("#repass").val();
            let invite = $("#invite").val();
            if (email.length==0)
            {
                layer.msg(chrome.i18n.getMessage("extEmailAddCanNotEmpty"));
                $("#email").focus();
                return;
            }

            if (code.length==0)
            {
                layer.msg(chrome.i18n.getMessage("extHomeCaptchaNotEmpty"));
                $("#code").focus();
                return;
            }

            if (code.length<4)
            {
                layer.msg(chrome.i18n.getMessage("extHomeCaptchaNotLess4"));
                $("#code").focus();
                return;
            }

            if (pass.length<6)
            {
                layer.msg(chrome.i18n.getMessage("extHomePassNotLess6"));
                $("#pass").focus();
                return;
            }

            if (repass.length<6)
            {
                layer.msg(chrome.i18n.getMessage("extHomeRePassNotLess6"));
                $("#repass").focus();
                return;
            }

            if (!checkEmail(email))
            {
                layer.msg(chrome.i18n.getMessage("extEmailFormatError"));
                $("#email").focus();
                return;
            }

            if (pass!=repass)
            {
                layer.msg(chrome.i18n.getMessage("extTwoPassNotSame"));
                return;
            }

            $.ajax({
                //请求方式
                type : "POST",
                //请求地址
                url : server + "/register",
                //数据，json字符串
                data : {
                    'lang': lang,
                    'email': email,
                    'pass': hex_md5(pass),
                    'code': code,
                    'invite': invite
                },
                //请求成功
                success : function(result) {


                    if (result.status == 1)
                    {
                        layer.msg(result.message);

                        $("#email").val("");
                        $("#code").val("");
                        $("#pass").val("");
                        $("#repass").val("");
                    }
                    else
                    {
                        layer.msg(result.message);
                    }
                },
                //请求失败，包含具体的错误信息
                error : function(e){
                    console.log(e.status);
                    console.log(e.responseText);
                    layer.msg(chrome.i18n.getMessage("extTxtRequestErroe"));
                }
            });
        });
    }

});